Bug 122497 - CAN-2004-0398 heap overflow in neon affects cadaver
CAN-2004-0398 heap overflow in neon affects cadaver
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: cadaver (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-05-05 04:35 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-19 02:46:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-05-05 04:35:51 EDT
Stefan Esser discovered a flaw in the neon library which allows a heap
buffer overflow in a date parsing routine.  An attacker could create
a malicious WebDAV server in such a way as to allow arbitrary code
execution on the client should a user connect to it using cadaver.  

         CAN-2004-0398 Affects: 2.1AS 2.1ES 2.1AW 2.1WS

Embargoed. No date currently set.
Comment 1 Mark J. Cox (Product Security) 2004-05-05 04:36:18 EDT
RHSA-2004:191 in progress.
Comment 2 Mark J. Cox (Product Security) 2004-05-19 02:43:52 EDT
public - removing embargo
Comment 3 Mark J. Cox (Product Security) 2004-05-19 02:46:12 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.